/*
                             *******************
******************************* C SOURCE FILE ********************************
**                           *******************                            **
**                                                                          **
**  project   : NOVUS CMD                                                   **
**  filename  : User_Isr.C                                                  **
**  version   : Beta (PCB : )                                               **
**  date      : - --, ----                                                  **
**                                                                          **
******************************************************************************
**                                                                          **
**  Copyright (c) ----, TEK                                                 **
**  All rights reserved.                                                    **
**                                                                          **
**                    TYCO ELECTRONICS AMP KOREA LTD                        **
**                         - SUWON R&D CENTER -                             **
******************************************************************************

VERSION HISTORY:
----------------

Version     : -
Date        : - --, ----
Revised by  : JC.HAM
Description : Original version.

*/

#define _USER_ISR_C_SRC

/****************************************************************************/
/**                                                                        **/
/**                      MODULES USED                                      **/
/**                                                                        **/
/****************************************************************************/
#include "TEK_Lib_Defines.h"
#include "APPL_ISR.h"
#include "TEK_ECU_Layer.h"
#include "main.h"



/****************************************************************************/
/**                                                                        **/
/**                      DEFINITIONS AND MACROS                            **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      TYPEDEFS AND STRUCTURES                           **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      PROTOTYPES OF LOCAL FUNCTIONS                     **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED VARIABLES                                **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      GLOBAL VARIABLES                                  **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED FUNCTIONS                                **/
/**                                                                        **/
/****************************************************************************/
#pragma CODE_SEG __NEAR_SEG NON_BANKED
/*#pragma TRAP_PROC SAVE_ALL_REGS*/

/****************************************************************************/
/* Function  | Timer interrupt / 125us or 1msec                             */
/* Name      | ModCnt_Interrupt                                             */
/*--------------------------------------------------------------------------*/
/* Parameter | Nothing                                                      */
/* Return    | Nothing                                                      */
/****************************************************************************/
ISR(TI1_Interrupt) 
{
	TIM0TFLG1 = 0x01U;                  /* Reset interrupt request flag */	

	/*** Here User code ***/
#if 0	/* 125usec timer interrupt setting */			
	eg_u16MainTaskCnt++;				/* 125usec tick */
	if( eg_u16MainTaskCnt >= 40U)		/* 125usec * 40 = 5msec */ 
	//if( eg_u16MainTaskCnt >= 20U)		/* 125usec * 20 = 2.5msec */
	{ 
		eg_u16MainTaskCnt = 0U; 
		eg_u8Tmain = big_SET;
		
		#if defined (Def_USE_SCI_DEB)
			TEK_Monitor_Timer( 5U );		/* 5msec tick */
		#endif			
	}	
#else	/* 1msec timer interrupt setting */
	eg_u16MainTaskCnt++;				/* 1msec tick */
	if( eg_u16MainTaskCnt >= 5U)		/* 1msec * 5 = 5msec */ 
	{ 
		eg_u16MainTaskCnt = 0U; 
		eg_u8Tmain = big_SET;
		
		#if defined (Def_USE_SCI_DEB)
			TEK_Monitor_Timer( 1U );		/* 5msec tick */
		#endif			
	}		
#endif
}

#pragma CODE_SEG  DEFAULT
/****************************************************************************/
/**                                                                        **/
/**                      LOCAL FUNCTIONS                                   **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      EOF                                               **/
/**                                                                        **/
/****************************************************************************/
