/*
                             *******************
******************************* C HEADER FILE ********************************
**                           *******************                            **
**                                                                          **
**  Project   : GS41_BCM                                                    **
**  Filename  : Defines.H                                                   **
**  Version   : -.- (PCB : )                                                **
**  Date      : 2015.02.16                                                  **
**                                                                          **
******************************************************************************
**                                                                          **
**  (c) 2015 TE Connectivity Ltd. All Rights Reserved                       **
**                                                                          **
**                     Tyco Electronics AMP Korea Ltd.                      **
******************************************************************************

VERSION HISTORY:
----------------

Version     : -.-
Date        : ----.--.--
Revised by  : HK.IM
Description : Original version.

*/

#ifndef DEFINES_INCLUDED
#define DEFINES_INCLUDED

/****************************************************************************/
/**                                                                        **/
/**                      MODULES USED                                      **/
/**                                                                        **/
/****************************************************************************/
#include "mc9s12zvc64.h"

/****************************************************************************/
/**                                                                        **/
/**                      DEFINITIONS AND MACROS                            **/
/**                                                                        **/
/****************************************************************************/

#if 0
	#define Def_USE_SCI_DEB			/* */ 
	/*#define Def_USE_SCI_KLINE*/	/* */
#endif

#ifdef Def_USE_SCI_DEB
/*#define _TEK_DEBUG_APPL_CALLBACKFUNC_*/
/*#define _TEK_DEBUG_EEP_*/
/*#define _TEK_DEBUG_BAT_MON_*/
#endif

#define BCAN_VAR      ( 0x0AU )
#define CCAN_VAR      ( 0xA0U ) 
#define PRODUCTION    ( 0xAAU )

/* systemSupplierECUSoftwareVersionNumberDataIdentifier for PCTools =========*/
#define SW_VER_0            '1'
#define SW_VER_1            '0'
#define SW_VER_2			'0'

/* systemSupplierECUHardwareVersionNumberDataIdentifier for PCTools =========*/
#define HW_VER_0            '1'
#define HW_VER_1            '0'
#define HW_VER_2            '0'

#define RELEASE_DATE_YEAR		0x17  /* year:2011, BCD encoding */
#define RELEASE_DATE_MONTH		0x01  /* month:  1, BCD encoding */
#define RELEASE_DATE_DAY		0x25  /* day:   19, BCD encoding */

/*----------------------------------------------------------------------------
      SYSTEM CONFIGURATION!     
----------------------------------------------------------------------------*/
/*#define ENABLE_INTERNAL_WATCH_DOG*/
/*#define ENABLE_XGATE*/
/*#define ENABLE_MSDI_WAKE_UP_CONTROL*/ 	/* Disable: All Wakeup, Enable: Selection */
/*#define DISABLE_MSDI_STROBE_CONTROL*/
/*#define DISABLE_MSDI_SWITCH_MASK*/

/*****************************************************************************
  @ H/W Parameter
*****************************************************************************/
#define EXTERNAL_CLOCK      ( 16U )   	/* 16Mhz */
#define BUS_CLOCK           ( 32U )  	/* 32Mhz (IPLL 64Mhz / 2) */

/*****************************************************************************
  @ Watch dog definition
*****************************************************************************/
#if defined ( ENABLE_INTERNAL_WATCH_DOG )
	/*#define WatchDog_Clear()    { ARMCOP = 0x55; ARMCOP = 0xAA; }*/
#endif

#if 0
	#define EXT_WDT_PORT              ( PTT )
	#define EXT_WDT_BIT               ( u8g_Bit2 )

	#define EXT_WDT_DISABLE_PORT      ( PTT )
	#define EXT_WDT_DISABLE_BIT       ( u8g_Bit3 )  
#endif

/*--------------------------------------------------------------------------*/
/* EEPROM 4Kbyte ( 0xC00 ~ 0xFFF )  / Size : 0x400                          */
/* EEPROM address for bootloader  : 0x0000(0x0C00) ~ 0x001F(0x0C1F)         */
/* EEPROM address for application : 0x0020(0x0C20) ~                        */
/*--------------------------------------------------------------------------*/
#if 0
	#define EEPROM_FIX_BASE_ADDR			( ( dword )( 0x00000C00 ) ) /* c00 */
#endif

#if 0
	/* Bootlaoder */
	#define REPROGRAMMING_REQ_ADDR    ( ( dword )( EEPROM_FIX_BASE_ADDR ) )          /* 4byte  : C00~C03 */
	#define FINGER_PRINT_ADDR         ( ( dword )( EEPROM_FIX_BASE_ADDR + 0x04U ) )  /* 12byte : C04~C0F */
	#define SECURITY_ATTEMPT_ADDR     ( ( dword )( EEPROM_FIX_BASE_ADDR + 0x10U ) )  /* 4byte  : C10~C13 */
	#define LOGICAL_BLOCK_NUM_ADDR    ( ( dword )( EEPROM_FIX_BASE_ADDR + 0x14U ) )  /* 4byte  : C14~C17 */
#endif

/*----------------------------------------------------------------------------
  u32_Addr = 0x00ppaaaa : pp=Page, aaaa=Address
  Page=0xFC,FD,FE,FF, Address=0x0800~0x0BFF
  0xFF0800~0xFF0BFF = 0x0C00~0x0FFF
----------------------------------------------------------------------------*/

/* Application */
#if 0
	#define APPL_EEPROM_BASE_ADDR     ( ( dword )( 0x00FE0800 ) ) /* FE0800 */
#endif

/*--------------------------------------------------------------------------*/
/* Lamp Number                                                              */
/*--------------------------------------------------------------------------*/
#define TURN_LH             ( 0U )
#define TURN_RH             ( 1U )
#define TAIL_LP_LH          ( 2U )
#define TAIL_LP_RH          ( 3U )
#define MAIN_ROOM_LP        ( 4U )
#define ROOM_LAMP           ( 5U )
#define GATE_LAMP           ( 6U )
#define INDIRECT_LAMP       ( 7U )

#define LAMP_MAX            ( 8U )

/****************************************************************************/
/**                                                                        **/
/**                      TYPEDEFS AND STRUCTURES                           **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED VARIABLES                                **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED FUNCTIONS                                **/
/**                                                                        **/
/****************************************************************************/

#endif

/****************************************************************************/
/**                                                                        **/
/**                      EOF                                               **/
/**                                                                        **/
/****************************************************************************/


