/*
                             *******************
******************************* C HEADER FILE ********************************
**                           *******************                            **
**                                                                          **
**  Project   : TEK                                                         **
**  Filename  : TEK_AnalogToDigital.H                                       **
**  Version   : -.- (PCB : )                                                **
**  Date      : ----.--.--                                                  **
**                                                                          **
******************************************************************************
**                                                                          **
**  (c) 2015 TE Connectivity Ltd. All Rights Reserved                       **
**                                                                          **
**                     Tyco Electronics AMP Korea Ltd.                      **
******************************************************************************

VERSION HISTORY:
----------------

Version     : -
Date        : - --, ----
Revised by  : TEK
Description : Original version.

*/

#ifndef _TEK_ANALOG_TO_DIGITAL_INCLUDED
#define _TEK_ANALOG_TO_DIGITAL_INCLUDED

/****************************************************************************/
/**                                                                        **/
/**                      MODULES USED                                      **/
/**                                                                        **/
/****************************************************************************/
#include "TEK_ECU_Config.h"
#include "TEK_MCU_Layer.h"

#pragma DATA_SEG ECU_TEK_ANALOG_TO_DIGITAL_DATA
#pragma CODE_SEG ECU_TEK_ANALOG_TO_DIGITAL_CODE
/****************************************************************************/
/**                                                                        **/
/**                      DEFINITIONS AND MACROS                            **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      TYPEDEFS AND STRUCTURES                           **/
/**                                                                        **/
/****************************************************************************/

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED VARIABLES                                **/
/**                                                                        **/
/****************************************************************************/

#ifndef _TEK_ANALOG_TO_DIGITAL_C_SRC

#endif

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED FUNCTIONS                                **/
/**                                                                        **/
/****************************************************************************/
extern void TEK_AnalogToDigital_Init( void );
extern void TEK_ADC_Start( void );
extern void TEK_AnalogToDigital_Main( void );
extern word TEK_ADC_GetValue_Filtering( byte l_u8AD_CH_ID );
extern word TEK_ADC_GetValue( byte l_u8AD_CH_ID );


#pragma DATA_SEG DEFAULT
#pragma CODE_SEG DEFAULT

#endif

/****************************************************************************/
/**                                                                        **/
/**                      EOF                                               **/
/**                                                                        **/
/****************************************************************************/
