/*
                             *******************
******************************* C HEADER FILE ********************************
**                           *******************                            **
**                                                                          **
**  Project   : HYUNDAM-FPCM                                                **
**  Filename  : TEK_DIO.H                                                   **
**  Version   : -.- (PCB : )                                                **
**  Date      : ----.--.--                                                  **
**                                                                          **
******************************************************************************
**                                                                          **
**  (c) 2015 TE Connectivity Ltd. All Rights Reserved                       **
**                                                                          **
**                     Tyco Electronics AMP Korea Ltd.                      **
******************************************************************************

VERSION HISTORY:
----------------

Version     : -
Date        : - --, ----
Revised by  : JC.HAM
Description : Original version.

*/

#ifndef _TEK_DIO_INCLUDED
#define _TEK_DIO_INCLUDED

/****************************************************************************/
/**                                                                        **/
/**                      MODULES USED                                      **/
/**                                                                        **/
/****************************************************************************/
#include "TEK_MCU_Config.h"

#pragma DATA_SEG MCU_TEK_DIO_DATA
#pragma CODE_SEG MCU_TEK_DIO_CODE
/****************************************************************************/
/**                                                                        **/
/**                      DEFINITIONS AND MACROS                            **/
/**                                                                        **/
/****************************************************************************/

/* Port E ==================================================================*/
#define PORT_E_DDR		  ( PORT_E_0 | PORT_E_1 | PORT_E_2 | PORT_E_3 | PORT_E_4 | PORT_E_5 | PORT_E_6 | PORT_E_7 )

/* Port ADH ==================================================================*/
#define PORT_ADH_DDR	  ( PORT_ADH_0 | PORT_ADH_1 | PORT_ADH_2 | PORT_ADH_3 | PORT_ADH_4 | PORT_ADH_5 | PORT_ADH_6 | PORT_ADH_7 )

/* Port ADL ==================================================================*/
#define PORT_ADL_DDR	  ( PORT_ADL_0 | PORT_ADL_1 | PORT_ADL_2 | PORT_ADL_3 | PORT_ADL_4 | PORT_ADL_5 | PORT_ADL_6 | PORT_ADL_7 )

/* Port T ==================================================================*/
#define PORT_T_DDR		  ( PORT_T_0 | PORT_T_1 | PORT_T_2 | PORT_T_3 | PORT_T_4 | PORT_T_5 | PORT_T_6 | PORT_T_7 )

/* Port S ==================================================================*/
#define PORT_S_DDR		  ( PORT_S_0 | PORT_S_1 | PORT_S_2 | PORT_S_3 | PORT_S_4 | PORT_S_5 | PORT_S_6 | PORT_S_7 )

/* Port P ==================================================================*/
#define PORT_P_DDR		  ( PORT_P_0 | PORT_P_1 | PORT_P_2 | PORT_P_3 | PORT_P_4 | PORT_P_5 | PORT_P_6 | PORT_P_7 )

/* Port J ==================================================================*/
#define PORT_J_DDR		  ( PORT_J_0 | PORT_J_1 | PORT_J_2 | PORT_J_3 | PORT_J_4 | PORT_J_5 | PORT_J_6 | PORT_J_7 )

/* Port L ==================================================================*/
#define PORT_L_DDR		  ( PORT_L_0 | PORT_L_1 | PORT_L_2 | PORT_L_3 | PORT_L_4 | PORT_L_5 | PORT_L_6 | PORT_L_7 )

/*----------------------------------------------------------------------------
  @ Make channel id
----------------------------------------------------------------------------*/
#define MAKE_IO_CH_ID( PortId, PinId )		( ( PortId * 8 ) + PinId )

/****************************************************************************/
/**                                                                        **/
/**                      TYPEDEFS AND STRUCTURES                           **/
/**                                                                        **/
/****************************************************************************/
/*----------------------------------------------------------------------------
  @ Port index
----------------------------------------------------------------------------*/
typedef enum
{
	en_PTE_IDX = 0,
	en_PTADH_IDX,	
	en_PTADL_IDX,	
	en_PTT_IDX,
	en_PTS_IDX,
	en_PTP_IDX,
	en_PTJ_IDX,
	en_PTL_IDX,
	en_MAX_NO_OF_PORT		/* max number of mcu port */
}EN_PORT_IDX;

/*----------------------------------------------------------------------------
  @ Channel group type
----------------------------------------------------------------------------*/
typedef struct
{
	byte u8_mPortId;
	byte u8_mOffset;
	byte u8_mMask;
}ST_DIO_CH_GROUP_TYPE;

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED VARIABLES                                **/
/**                                                                        **/
/****************************************************************************/

#ifndef _TEK_DIO_C_SRC
#endif

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED FUNCTIONS                                **/
/**                                                                        **/
/****************************************************************************/
extern void TEK_DIO_Init( void );
extern byte TEK_DIO_ReadChannel( byte u8_ChannelId );
extern void TEK_DIO_WriteChannel( byte u8_ChannelId, byte u8_Level );
extern byte TEK_DIO_ReadPort( byte u8_PortId );
extern void TEK_DIO_WritePort( byte u8_PortId, byte u8_Level );
extern byte TEK_DIO_ReadChannelGroup( const ST_DIO_CH_GROUP_TYPE *st_ChannelGroupId );
extern void TEK_DIO_WriteChannelGroup( const ST_DIO_CH_GROUP_TYPE *st_ChannelGroupId, byte u8_Level );

#pragma DATA_SEG DEFAULT
#pragma CODE_SEG DEFAULT

#endif

/****************************************************************************/
/**                                                                        **/
/**                      EOF                                               **/
/**                                                                        **/
/****************************************************************************/
