/*
                             *******************
******************************* C HEADER FILE ********************************
**                           *******************                            **
**                                                                          **
**  project   : NOVUS CMD                                                   **
**  filename  : main.H                                                      **
**  version   : Beta (PCB : )                                               **
**  date      : - --, ----                                                  **
**                                                                          **
******************************************************************************
**                                                                          **
**  Copyright (c) ----, TEK                                                 **
**  All rights reserved.                                                    **
**                                                                          **
**                    TYCO ELECTRONICS AMP KOREA LTD                        **
**                         - SUWON R&D CENTER -                             **
******************************************************************************

VERSION HISTORY:
----------------

Version     : -
Date        : - --, ----
Revised by  : JC.HAM
Description : Original version.

*/

#ifndef _MAIN_INCLUDED
#define _MAIN_INCLUDED

/****************************************************************************/
/**                                                                        **/
/**                      MODULES USED                                      **/
/**                                                                        **/
/****************************************************************************/
#include "Defines.h"

/****************************************************************************/
/**                                                                        **/
/**                      DEFINITIONS AND MACROS                            **/
/**                                                                        **/
/****************************************************************************/
#define Def_MagicNumber						( 0x5555U )

//#define Def_WatchdogOut()   ( invertReg8Bits( EXT_WDT_PORT, EXT_WDT_BIT ) )

/****************************************************************************/
/**                                                                        **/
/**                      TYPEDEFS AND STRUCTURES                           **/
/**                                                                        **/
/****************************************************************************/

typedef enum{
	en_EngineDOOSAN = 0,
	en_EngineIVECO,
	en_EngineUnknown
}Tde_EngineModes;

/*-----------------------------------------------------------------
	@ Vehicle Option 1 : 
		0 - 
		1 - 
		
		default : 0 ()
		
	@ Vehicle Option 2 : 
		0 - 
		1 - 
		
		default : 0 ()

	@ Vehicle Option 3 : 
		0 - 
		1 - 
		
		default : 0 ()		
------------------------------------------------------------------*/
typedef struct 
{
	unsigned char m_u8DebMode;					/* CAN message Debugging message transmit enable - defualt '0' */
	unsigned char m_u8VehOption1;				/* Option 1 */
	unsigned char m_u8VehOption2;				/* Option 2 */
	unsigned char m_u8VehOption3;	    	/* Option 3 */
}tdsVehicleOptions;

extern tdsVehicleOptions eg_tdsVehicleOptions;

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED VARIABLES                                **/
/**                                                                        **/
/****************************************************************************/
extern byte eg_u8Tmain;
extern byte eg_u8TmainCnt;
extern byte eg_u8EngineMode;
extern byte eg_u16MainTaskCnt;

 

/****************************************************************************/
/**                                                                        **/
/**                      EXPORTED FUNCTIONS                                **/
/**                                                                        **/
/****************************************************************************/
#pragma CODE_SEG __NEAR_SEG NON_BANKED
	/*extern void Cpu_Delay10US( word u16_10us );*/
	extern void Cpu_Delay100US(word us100);
#pragma CODE_SEG DEFAULT

#endif

/****************************************************************************/
/**                                                                        **/
/**                      EOF                                               **/
/**                                                                        **/
/****************************************************************************/
